<? 
include '../../system/core.php';
$_title = 'Настройки антиспама';
include '../../system/header.php';

if($user['status'] < 1) {
header('Location: /index.php');
exit;
}

if(isset($_POST['submit'])) {
  
$site = TextGuard($site);
$zamena = TextGuard($zamena);

if(empty($site)) $err[] = 'Введи какой сайт нужно заблочить.';
if(empty($zamena)) $err[] = 'Введи текст на что менять..';
  
$sql = mysql_fetch_array(mysql_query('select * from `antispam` where `site` = "'.$site.'" limit 1'));
if($sql != 0) $err[] = 'Этот сайт уже находится в списке..';

if(!$err) {
  
mysql_query("INSERT INTO `antispam`(`site`,`zamena`)VALUES('".$site."','".$zamena."')");
 
echo '<div class="err">Сайт успешно заблокирован!</div>';
} else {

echo '<div class="err"><b>';
  
foreach($err as $err_info) {
echo $err_info.'<br>';
}
echo '</b></div>';
}
}

echo '<div class="post"><form action="" method="POST">  
Что заменяем?:
<br />
<input name="site"><br />
На что заменяем?:
<br />
<input name="zamena"><br />
<input type="submit" value="Изменить" name="submit"/>
</form></div>';

require_once ('../../system/footer.php');
?>